;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;-| Hold Button |----------------------------------------------------------
; Please define Anim 74140108 in your AIR file if AND ONLY IF you place these
; 7 Hold Button commands immediately after the 11 Single Button and Hold Dir
; commands at the very top of your CMD list, as demonstrated here.
; In this version of the AI code, these commands are only used by the XOR
; method, and thus are optional.  But there remains a possibility that a
; future version of the helper method might be helped by having these
; commands placed here, and Anim 74140108 would then be used to indicate
; that a partner character has a compatible CMD.

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holdstart"
command = /s
time = 1

;-| CPU |--------------------------------------------------------------
; Note that if you make any changes to the basic one-button or recovery
; commands, you'll need to make the same changes to their matching commands here
; and/or in the XOR VarSet controller.  That includes things like, for example:
;  * changing the recovery command to use a different combination of buttons.
;  * renaming the b button command as "d", or the start button command as "s".
;  * switching the button names around, e.g. so button y triggers "a" and button a triggers "y".
;  * having more than one way to trigger the same command name.
; If you understand how the XOR method works, the proper changes should be obvious.
; If you don't understand it, then simply disable the lines in the XOR VarSet
; controller that correspond to the commands you've altered.

[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "start2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "holdstart2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+y
time = 1

;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, x
time = 30

[Command]
name = "TripleKFPalm"   ;Same name as above
command = ~D, DF, F, D, DF, F, y
time = 30

[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, z
time = 30

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 30

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 30

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, z;~F, D, DF, F, D, DF, Z
time = 30

[Command]
name = "PowerBeam"
command = ~F, DF, D, DB, B, F, x
time = 35

[Command]
name = "PowerBeam"
command = ~F, DF, D, DB, B, F, y
time = 35

[Command]
name = "PowerBeam"
command = ~F, DF, D, DB, B, F, z
time = 35

[Command]
name = "PowerBeam"
command = ~F, D, B, F, x
time = 35

[Command]
name = "PowerBeam"
command = ~F, D, B, F, y
time = 35

[Command]
name = "PowerBeam"
command = ~F, D, B, F, z
time = 35

[Command]
name = "SGS"
command = ~x, x, F, a, z
time = 80

[Command]
name = "OmegaBall"
command = ~F, z, y, x, F
time = 35

[Command]
name = "TopsyTurvy"
command = ~D, D, D, x+y+z
time = 30

[Command]
name = "TopsyTurvy"
command = ~D, D, D, s
time = 30

;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, z

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_xy"
command = ~D, DF, F, z

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_xy"
command = ~D, DB, B, z

[Command]
name = "QCB_a"
command = ~D, DF, F, a

[Command]
name = "QCB_b"
command = ~D, DF, F, b

[Command]
name = "FF_ab"
command = F, F, c

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

[Command]
name = "CBF_x"
command = ~20$B, F, x
time = 10

[Command]
name = "CBF_y"
command = ~20$B, F, y
time = 10

[Command]
name = "CBF_z"
command = ~20$B, F, z
time = 10

[Command]
name = "CBF_a"
command = ~20$B, F, a
time = 10

[Command]
name = "CBF_b"
command = ~20$B, F, b
time = 10

[Command]
name = "CBF_c"
command = ~20$B, F, c
time = 10

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "evade";Required (do not remove)
command = x+a
time = 1

[Command]
name = "charge";Required (do not remove)
command = y+b
time = 1

[Command]
name = "parry";Required (do not remove)
command = F
time = 1

[Command]
name = "jd";Required (do not remove)
command = $B
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "down"
command = D
time = 1

[Command]
name = "back";Required (do not remove)
command = B
time = 1

; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

[State -1, AI Helper Check]
type = ChangeState
trigger1 = IsHelper(9741)
value = 9741

[State -1, AI Helper Check 2]
type = ChangeState
trigger1 = IsHelper(9742)
value = 9742

; AI START

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
triggerall = p2movetype = A && enemynear, numproj = 0
triggerall = p2bodydist x <= 80
triggerall = backedgedist > 80
triggerall = random != [250,400]
trigger1 = ctrl
value = 105

;Evade!
[State -1]
type = ChangeState
value = ifelse( (var(50) = 3 || var(50) = 6)&&random<500 ,900,910)
triggerall = var(50) != 2 && var(50) != 5
triggerall = var(57) = 1
triggerall = statetype != A
triggerall = enemy,statetype != L
triggerall = enemynear, facing != facing
triggerall = PrevStateNo != [900,990]
trigger1 = (P2BodyDist X <= 60 && enemy,MoveType != A && enemy,MoveType != H && Ctrl) && Random <= 70
trigger2 = (P2BodyDist X <= 60 && enemy,MoveType = A && Ctrl) && Random <= 150

[State -3: ChangeState]
type = ChangeState
triggerall = (Var(57) > 0) && (StateType != A) && (Ctrl) && (EnemyNear, Facing != Facing)
trigger1 = (P2StateType != C) && ((P2MoveType = A) || (EnemyNear, NumProj > 0))
value = 130

[State -3: ChangeState]
type = ChangeState
triggerall = (Var(57) > 0) && (StateType != A) && (Ctrl) && (EnemyNear, Facing != Facing)
trigger1 = (P2StateType = C) && ((P2MoveType = A) || (EnemyNear, NumProj > 0))
value = 131

;[State -3: ChangeState]
;type = ChangeState
;triggerall = (Var(57) > 0) && (StateType = A) && (Ctrl) && (EnemyNear, Facing != Facing)
;trigger1 = (P2MoveType = A) || (EnemyNear, NumProj > 0)
;value = 132

; sgs
[state -2, shun goku satsu]
type = ChangeState
value = 4200
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = power >= 3000
triggerall = p2statetype = L
triggerall = roundstate = 2
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,4999] ;)
trigger2 = movehit

; sgs
[state -2, shun goku satsu]
type = ChangeState
value = ifelse(p2bodydist x>=200,4100,4000)
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = power >= 3000
triggerall = p2statetype != L
triggerall = roundstate = 2
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,4999] ;)
trigger2 = movehit
trigger2 = (stateno != [1100,1120]) ;|| ((stateno = [1100,1120]) && (-p2dist y < 10))

; GRAB!
[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
triggerall = p2statetype = S || p2statetype = C
triggerall = p2movetype != H
triggerall = p2bodydist x < 8
trigger1 = ctrl
value = ifelse(random<500,850,800)

[state -2, Fast Kung Fu Upper]
type = ChangeState
value = 1120
triggerall = var(57) = 1
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152]) || p2life <= 8
triggerall = p2stateno != 52
triggerall = p2bodydist x < 10 + (-p2dist y)/5 + (enemynear(0), vel x)*1
triggerall = p2dist y < 100 + (enemynear(0), vel y)*1
triggerall = (p2dist y - enemynear(0), const(size.height)) < -61
triggerall = enemynear(0), animtime < -3 || (enemynear(0), gethitvar(hittime) > 3) || p2life <= 8
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = !(enemynear(0), ctrl) || (-p2dist y < 2) || p2life <= 8
triggerall = var(3) = [20,70]
triggerall = power >= 330
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movehit

[state -2, Strong Kung Fu Upper]
type = ChangeState
value = 1110
triggerall = var(57) = 1
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152]) || p2life <= 8
triggerall = p2stateno != 52
triggerall = p2bodydist x < 10 + (-p2dist y)/5 + (enemynear(0), vel x)*1
triggerall = p2dist y < 100 + (enemynear(0), vel y)*1
triggerall = (p2dist y - enemynear(0), const(size.height)) < -61
triggerall = enemynear(0), animtime < -4 || (enemynear(0), gethitvar(hittime) > 4) || p2life <= 8
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = !(enemynear(0), ctrl) || (-p2dist y < 2) || p2life <= 8
triggerall = var(3) < 70
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movehit

[state -2, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = var(57) = 1
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152]) || p2life <= 8
triggerall = p2stateno != 52
triggerall = p2bodydist x < 10 + (-p2dist y)/5 + (enemynear(0), vel x)*1
triggerall = p2dist y < 100 + (enemynear(0), vel y)*1
triggerall = (p2dist y - enemynear(0), const(size.height)) < -61
triggerall = enemynear(0), animtime < -3 || (enemynear(0), gethitvar(hittime) > 3) || p2life <= 8
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = !(enemynear(0), ctrl) || (-p2dist y < 2) || p2life <= 8
triggerall = var(3) < 80
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movehit


; First Punch
[State -1, AI]
type = ChangeState
triggerall = p2stateno != [5100,5200]
triggerall = Var(57) > 0
triggerall = statetype != A
triggerall = p2statetype = S
triggerall = (p2movetype != A || EnemyNear, Facing = Facing)
triggerall = p2bodydist x <= 48
triggerall = p2bodydist y <= -20
triggerall = random < 500
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
value = ifelse(random<500,200,230)

; Crouch First Punch
[State -1, AI]
type = ChangeState
triggerall = p2stateno != [5100,5200]
triggerall = Var(57) > 0
triggerall = statetype != A
triggerall = p2statetype = C
triggerall = (p2movetype != A || EnemyNear, Facing = Facing)
triggerall = p2bodydist x <= 48
triggerall = p2bodydist y <= -10
triggerall = random < 500
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = movecontact
value = ifelse(random<500,400,430)

; Combo 1
[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 200
trigger1 = movehit
value = ifelse(random<500,210,230)

; If guarded
[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 200
trigger1 = moveguarded
trigger1 = animtime = 0
value = 400

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 230
trigger1 = movecontact
value = ifelse(random<500,210,240)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 210 || stateno = 240
trigger1 = movecontact
value = ifelse(random<500,220,250)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 200
trigger1 = movecontact
value = ifelse(random<500,210,230)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
triggerall = random < 100
trigger1 = stateno = 220
trigger1 = movecontact
value = ifelse(random<500,250,1200)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
triggerall = random < 100
trigger1 = stateno = 250
trigger1 = movecontact
value = ifelse(random<500,1010,1210)

; Crouch Combo 1
[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 400
trigger1 = movecontact
value = ifelse(random<500,410,430)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 430
trigger1 = movecontact
value = ifelse(random<500,410,440)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 410
trigger1 = movecontact
value = ifelse(random<500,420,440)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 440
trigger1 = movecontact
value = ifelse(random<500,420,450)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
trigger1 = stateno = 200
trigger1 = movecontact
value = ifelse(random<500,410,430)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
triggerall = random < 800
trigger1 = stateno = 420
trigger1 = movecontact
value = 450


; Air Combo
[State -1, AI]
type = ChangeState
triggerall = p2stateno != [5100,5200]
triggerall = Var(57) > 0
triggerall = statetype = A
triggerall = p2movetype != A
triggerall = p2bodydist x <= 48
triggerall = random < 500
trigger1 = ctrl
value = ifelse(random<500,600,630)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype = A
trigger1 = stateno = 600
trigger1 = movecontact
value = ifelse(random<500,610,630)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype = A
trigger1 = stateno = 630
trigger1 = movecontact
value = ifelse(random<500,610,640)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype = A
trigger1 = stateno = 610 || stateno = 640
trigger1 = movecontact
value = ifelse(random<500,620,650)

[state -2, strong kung fu palm]
type = ChangeState
value = 1010
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152]) || p2life <= 4
triggerall = p2stateno != 52
triggerall = p2bodydist x > 0
triggerall = p2bodydist x < 100 + (enemynear(0), vel x)*3
triggerall = -p2dist y < 75 + (enemynear(0), vel y)*3
triggerall = (p2dist y - enemynear(0), const(size.height)) < -50
triggerall = enemynear(0), animtime < -14 || (enemynear(0), gethitvar(hittime) > 14) || p2life <= 4
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = !(enemynear(0), ctrl) || p2life <= 4
triggerall = random = [10,100]
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movehit

[state -2, light kung fu palm]
type = ChangeState
value = 1000
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = !var(2)
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152] ) || p2life <= 4
triggerall = p2stateno != 52
triggerall = p2bodydist x > 0
triggerall = p2bodydist x < 90 + (enemynear(0), vel x)*3
triggerall = -p2dist y < 75 + (enemynear(0), vel y)*3
triggerall = (p2dist y - enemynear(0), const(size.height)) < -50
triggerall = enemynear(0), animtime < -10 || (enemynear(0), gethitvar(hittime) > 9) || p2life <= 4
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = !(enemynear(0), ctrl) || p2life <= 4
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movehit

[state -2, fast kung fu palm]
type = ChangeState
value = 1020
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = !var(2)
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152]) || p2life <= 5
triggerall = p2stateno != 52
triggerall = p2bodydist x > 0
triggerall = p2bodydist x < 130 + (enemynear(0), vel x)*3
triggerall = -p2dist y < 75 + (enemynear(0), vel y)*3
triggerall = (p2dist y - enemynear(0), const(size.height)) < -50
triggerall = enemynear(0), animtime < -10 || (enemynear(0), gethitvar(hittime) > 9) || p2life <= 5
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = !(enemynear(0), ctrl) || p2life <= 5
triggerall = power >= 330
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movecontact

[state -2, light kung fu gong]
type = ChangeState
value = 1210
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152] ) || p2life <= 4
triggerall = p2stateno != 52
triggerall = p2bodydist x > 0
triggerall = p2bodydist x < 110 + (enemynear(0), vel x)*3
triggerall = -p2dist y < 90 + (enemynear(0), vel y)*3
triggerall = (p2dist y - enemynear(0), const(size.height)) < -50
triggerall = enemynear(0), animtime < -10 || (enemynear(0), gethitvar(hittime) > 9) || p2life <= 4
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = !(enemynear(0), ctrl) || p2life <= 4
triggerall = random = [40,150]
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movehit

[state -2, fast kung fu gong]
type = ChangeState
value = 1220
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = (enemynear(0), anim != [120,152] ) || p2life <= 4
triggerall = p2stateno != 52
triggerall = p2bodydist x > 0
triggerall = p2bodydist x < 110 + (enemynear(0), vel x)*3
triggerall = -p2dist y < 90 + (enemynear(0), vel y)*3
triggerall = (p2dist y - enemynear(0), const(size.height)) < -50
triggerall = enemynear(0), animtime < -10 || (enemynear(0), gethitvar(hittime) > 9) || p2life <= 4
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = !(enemynear(0), ctrl) || p2life <= 4
triggerall = random = [160,320]
triggerall = power >= 330
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movehit

[state -2, spaceball]
type = ChangeState
value = ifelse(random<500&numhelper(1300)=0,1320,1420)
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152] )
triggerall = p2bodydist x >= 60
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = random < 200
triggerall = power >= 330
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movehit

[state -2, spaceball]
type = ChangeState
value = ifelse(random<500,1300,1310)
triggerall = statetype != A
triggerall = numhelper(1300) = 0
triggerall = var(57) = 1
triggerall = (enemynear(0), anim != [120,152] ) || p2life <= 4
triggerall = p2bodydist x >= 60
triggerall = (p2movetype != A) || (enemynear, facing = facing)
triggerall = (random = [300,700]) || (roundno != 1)
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440
trigger2 = movehit

; 3x palm
[state -2, tripple kung fu palm]
type = ChangeState
value = 3000
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = power >= 1000
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152]) || p2life <= 12
triggerall = p2stateno != 52
triggerall = p2bodydist x > 5
triggerall = p2bodydist x < 90 + (enemynear(0), vel x)*3
triggerall = -p2dist y < 60 + (enemynear(0), vel y)*3
triggerall = (p2dist y - enemynear(0), const(size.height)) < -50
triggerall = enemynear(0), animtime < -18 || (enemynear(0), gethitvar(hittime) > 18) || p2life <= 12
triggerall = !(enemynear(0), ctrl) || p2life <= 12
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,4999] ;)
trigger2 = movehit
trigger2 = (stateno != [1100,1420]) ;|| ((stateno = [1100,1120]) && (-p2dist y < 10))

; Smash Upper
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 3050
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = power >= 1000
triggerall = p2statetype != L
triggerall = statetype != A
triggerall = (enemynear(0), anim != [120,152]) || p2life <= 12
triggerall = p2stateno != 52
triggerall = !(enemynear(0), ctrl) || p2life <= 12
triggerall = p2bodydist x > -10  + (enemynear(0), vel x)*7 - (stateno = 3000)*10
triggerall = p2bodydist x < 12 + (enemynear(0), vel x)*7 + (stateno = 3000)*20
triggerall = -p2dist y < 90 + (enemynear(0), vel y)*7
triggerall = -(p2dist y - enemynear(0), const(size.height)) > 50
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3050,4999)
trigger2 = movecontact
trigger2 = time > 45 || stateno != 3000
trigger2 = (stateno != [1100,1420]) ;|| ((stateno = [1100,1120]) && (-p2dist y < 10))
ignorehitpause = 1

; HyperBeam
[state -2, hyperbeam]
type = ChangeState
value = ifelse(random<100,3200,3100)
triggerall = statetype != A
triggerall = var(57) = 1
triggerall = power >= 1000
triggerall = p2statetype != L
triggerall = (enemynear(0), anim != [120,152]) || p2life <= 12
triggerall = p2stateno != 52
triggerall = p2bodydist x > 100
triggerall = (p2movetype != A) || (enemynear, facing = facing)
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3100,4999] ;)
trigger2 = movehit
trigger2 = (stateno != [1100,1120]) ;|| ((stateno = [1100,1120]) && (-p2dist y < 10))

; Some Mobility
[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
triggerall = movetype != A
triggerall = (p2movetype != A || EnemyNear, Facing = Facing) || numhelper(3115) = 1
triggerall = p2bodydist x >= 48
triggerall = random = [100,400]
trigger1 = ctrl
value = ifelse((var(50)=[0,2]),107,100)

; Some Mobility
[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = statetype != A
triggerall = movetype != A
triggerall = numhelper(3115) = 1
triggerall = p2bodydist x >= 60
trigger1 = ctrl
value = ifelse((var(50)=[0,2]),107,100)

[State -1, AI]
type = ChangeState
triggerall = Var(57) > 0
triggerall = p2movetype = A
triggerall = random = [150,250]
trigger1 = stateno = 106
trigger1 = animtime = 0
value = 40

[State -1, AI]
type = ChangeState
triggerall = statetype != A
triggerall = Var(57) > 0
triggerall = p2movetype != A
triggerall = random = [150,250]
triggerall = p2statetype = C
triggerall = p2bodydist x <= -60
trigger1 = ctrl
value = 40

; AI END

;===========================================================================
;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 4000
triggerall = command = "SGS"
triggerall = power >= 3000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3100,4999)
trigger2 = movecontact
trigger3 = stateno = [200,499]

;===========================================================================
;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 4100
triggerall = command = "OmegaBall"
triggerall = power >= 3000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3100,4999)
trigger2 = movecontact
trigger3 = stateno = [200,499]

;===========================================================================
;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 4200
triggerall = command = "TopsyTurvy"
triggerall = power >= 3000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3100,4999)
trigger2 = movecontact
trigger3 = stateno = [200,499]


;===========================================================================
;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = ifelse( command="z"&&power>=3000, 3120 , ifelse(command="y"&&power>=2000,3110,3100) )
triggerall = command = "PowerBeam"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3100,4999)
trigger2 = movecontact

;===========================================================================
;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = ifelse( command="z"&&power>=3000, 3070 , ifelse(command="y"&&power>=2000,3060,3050) )
triggerall = command = "SmashKFUpper"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3050,4999)
trigger2 = movecontact

;---------------------------------------------------------------------------
;Triple Kung Fu Palm (uses one super bar)
;OJt[˂iQ[WxPj
[State -1, Triple Kung Fu Palm]
type = ChangeState
value = ifelse( command="z"&&power>=3000, 3200 , ifelse(command="y"&&power>=2000,3010,3000) )
triggerall = command = "TripleKFPalm"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,4999)
trigger2 = movecontact

;---------------------------------------------------------------------------
;Fast Kung Fu Upper (1/3 super bar)
;Jt[EEbp[
[State -1, Fast Kung Fu Upper]
type = ChangeState
value = 1120
triggerall = command = "upper_xy"
triggerall = power >= 330
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Kung Fu Upper
;Jt[EEbp[ij
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = command = "upper_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong Kung Fu Upper
;Jt[EEbp[ij
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1110
triggerall = command = "upper_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact


;---------------------------------------------------------------------------
;Fast Kung Fu Palm (1/3 super bar)
;Jt[˂iQ[WxP^Rj
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = command = "QCF_xy"
triggerall = power >= 330
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499]) ;Cancel ground moves
;trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Kung Fu Palm
;Jt[˂ij
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = command = "QCF_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong Kung Fu Palm
;Jt[˂ij
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = command = "QCF_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Fast Kung Fu gong (1/3 super bar)
;Jt[˂iQ[WxP^Rj
[State -1, Fast Kung Fu gong]
type = ChangeState
value = 1220
triggerall = command = "QCB_xy"
triggerall = power >= 330
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499]) ;Cancel ground moves
;trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Kung Fu gong
;Jt[˂ij
[State -1, Light Kung Fu gong]
type = ChangeState
value = 1200
triggerall = command = "QCB_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong Kung Fu gong
;Jt[˂ij
[State -1, Strong Kung Fu gong]
type = ChangeState
value = 1210
triggerall = command = "QCB_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Fast SpaceBall (1/3 super bar)
;Jt[˂iQ[WxP^Rj
[State -1, Fast SpaceBall]
type = ChangeState
value = 1320
triggerall = numhelper(1300) = 0
triggerall = command = "CBF_z"
triggerall = power >= 330
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499]) ;Cancel ground moves
;trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light SpaceBall
;Jt[˂ij
[State -1, Light SpaceBall]
type = ChangeState
value = 1300
triggerall = numhelper(1300) = 0
triggerall = command = "CBF_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong SpaceBall
;Jt[˂ij
[State -1, Strong SpaceBall]
type = ChangeState
value = 1310
triggerall = numhelper(1300) = 0
triggerall = command = "CBF_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Fast Bicycle Kick (1/3 super bar)
;Jt[˂iQ[WxP^Rj
[State -1, Fast Bicycle Kick]
type = ChangeState
value = 1420
triggerall = command = "CBF_c"
triggerall = power >= 330
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499]) ;Cancel ground moves
;trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Bicycle Kick
;Jt[˂ij
[State -1, Light Bicycle Kick]
type = ChangeState
value = 1400
triggerall = command = "CBF_a"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong Bicycle Kick
;Jt[˂ij
[State -1, Strong Bicycle Kick]
type = ChangeState
value = 1410
triggerall = command = "CBF_b"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact


;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = ifelse((var(50)=[0,2]),107,100)
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Kung Fu Throw
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "z"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 8
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H

;---------------------------------------------------------------------------
;Kung Fu Throw
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 850
triggerall = command = "c"
triggerall = statetype = S
triggerall = ctrl
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 8
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H

[State -1]
type = ChangeState
value = 1000
triggerall = statetype != A
triggerall = Command = "charge"
triggerall = power >= 500
triggerall = stateno=[120,169]
trigger1 = var(50) = 0
trigger2 = var(50) = 1
trigger3 = var(50) = 3
trigger4 = var(50) = 4
trigger5 = var(50) = 6

[State -1]
type = ChangeState
value = 910
triggerall = Command = "evade"
triggerall = statetype != A
triggerall = (ctrl) || (stateno=[120,169])
trigger1 = Command = "holdfwd"
trigger2 = var(50) = 0 || var(50) = 1 || var(50) = 4
trigger3 = (stateno=[120,169])
trigger3 = power >= 500
trigger3 = var(50) = 4 || var(50) = 6

[State -1]
type = ChangeState
value = 900
triggerall = var(50) = 3 || var(50) = 6
triggerall = Command = "evade"
trigger1 = statetype != A
trigger1 = ctrl

[State -1]
type = ChangeState
value = 920
triggerall = Command = "charge"
triggerall = power < 3000
triggerall = var(50) = 3 || var(50) = 6
trigger1 = statetype != A
trigger1 = ctrl

[State -1]
type = ChangeState
value = 930
triggerall = Command = "charge"
triggerall = power >= 3000
triggerall = var(50) = 1 || var(50) = 6
triggerall = var(24) <= 0
trigger1 = statetype != A
trigger1 = ctrl


;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = [200,499]
trigger3 = movecontact
trigger3 = var(24) > 0

;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact
trigger3 = (stateno = 230) && movecontact
trigger4 = stateno = [200,499]
trigger4 = movecontact
trigger4 = var(24) > 0

;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 220
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact
trigger3 = (stateno = 230) && movecontact
trigger4 = (stateno = 210) && movecontact
trigger5 = (stateno = 240) && movecontact
trigger6 = stateno = [200,499]
trigger6 = movecontact
trigger6 = var(24) > 0

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact
trigger3 = stateno = [200,499]
trigger3 = movecontact
trigger3 = var(24) > 0

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact
trigger3 = (stateno = 230) && movecontact
trigger4 = stateno = [200,499]
trigger4 = movecontact
trigger4 = var(24) > 0

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 250
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact
trigger3 = (stateno = 230) && movecontact
trigger4 = (stateno = 210) && movecontact
trigger5 = (stateno = 240) && movecontact
trigger6 = stateno = [200,499]
trigger6 = movecontact
trigger6 = var(24) > 0

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 257
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 210) && movecontact
trigger3 = (stateno = 200) && movecontact
trigger4 = (stateno = 250) && movecontact
trigger5 = (stateno = 220) && movecontact
trigger6 = stateno = [200,499]
trigger6 = movecontact
trigger6 = var(24) > 0

;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = movecontact
trigger3 = stateno = [200,499]
trigger3 = movecontact
trigger3 = var(24) > 0

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact)
trigger3 = stateno = [200,499]
trigger3 = movecontact
trigger3 = var(24) > 0

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430) || (stateno = 410)
trigger2 = (time > 9) || (movecontact)
trigger3 = stateno = [200,499]
trigger3 = movecontact
trigger3 = var(24) > 0

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 400)
trigger2 = (time > 9) || (movecontact)
trigger3 = stateno = [200,499]
trigger3 = movecontact
trigger3 = var(24) > 0

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact)
trigger3 = stateno = [200,499]
trigger3 = movecontact
trigger3 = var(24) > 0

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 450
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430) || (stateno = 410) || (stateno = 440)
trigger2 = (time > 9) || (movecontact)
trigger3 = stateno = [200,499]
trigger3 = movecontact
trigger3 = var(24) > 0

;===========================================================================
;---------------------------------------------------------------------------
;Air Light Punch
;p`
[State -1, Air Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 630
trigger2 = movecontact
trigger3 = stateno = [600,699]
trigger3 = movecontact
trigger3 = var(24) > 0

;===========================================================================
;---------------------------------------------------------------------------
;Air Light Punch
;p`
[State -1, Air Medium Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact
trigger4 = stateno = [600,699]
trigger4 = movecontact
trigger4 = var(24) > 0

;===========================================================================
;---------------------------------------------------------------------------
;Air Strong Punch
;p`
[State -1, Air Strong Punch]
type = ChangeState
value = 620
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact
trigger4 = stateno = 610
trigger4 = movecontact
trigger5 = stateno = 640
trigger5 = movecontact
trigger6 = stateno = [600,699]
trigger6 = movecontact
trigger6 = var(24) > 0

;===========================================================================
;---------------------------------------------------------------------------
;Air Light Kick
;p`
[State -1, Air Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = [600,699]
trigger3 = movecontact
trigger3 = var(24) > 0

;===========================================================================
;---------------------------------------------------------------------------
;Air Medium Kick
;p`
[State -1, Air Medium Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact
trigger4 = stateno = [600,699]
trigger4 = movecontact
trigger4 = var(24) > 0

;===========================================================================
;---------------------------------------------------------------------------
;Air Strong Kick
;p`
[State -1, Air Strong Kick]
type = ChangeState
value = 650
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 610
trigger3 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact
trigger4 = stateno = 640
trigger4 = movecontact
trigger5 = stateno = [600,699]
trigger5 = movecontact
trigger5 = var(24) > 0


